Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`web`.`iweb`.`IPolicyForHTTPS``

interface documentation

`class IPolicyForHTTPS(Interface): (source)`

Known implementations: `twisted.web.client.BrowserLikePolicyForHTTPS`, `twisted.web.client.HostnameCachingHTTPSPolicy`, `twisted.web.client._DeprecatedToCurrentPolicyForHTTPS`

View In Hierarchy

An `IPolicyForHTTPS` provides a policy for verifying the certificates of HTTPS connections, in the form of a `client connection creator` per network location.

Present Since
14.0

Method | `creatorForNetloc` | Create a `client connection creator` appropriate for the given URL "netloc"; i.e. hostname and port number pair.

def creatorForNetloc(hostname, port): (source)

Create a `client connection creator` appropriate for the given URL "netloc"; i.e. hostname and port number pair.

Parameters
hostname:`bytes` | The name of the requested remote host.
port:`int` | The number of the requested remote port.
Returns
`client connection creator` | A client connection creator expressing the security requirements for the given remote host.